<?php
// Version: 2.0 RC1; Karma
// This file is part of the Advanced Reputation System

// For the poor souls without javascript :(
function template_main()
{
	global $txt, $context, $user_info, $scripturl, $settings;

	echo '
	<form name="reputation_form" action="', $scripturl, '?action=modifykarma" method="post" accept-charset="', $context['character_set'], '" class="reputation_form">
		<table border="0" cellspacing="0" cellpadding="8" align="center" class="tborder" width="80%">
			<tr class="titlebg">
				<td colspan="2">', !empty($settings['use_buttons']) ? '<img src="' . $settings['images_url'] . '/karma.gif" align="right" style="margin-right: 4px;" alt="" />' : '', $txt['karma_your_opinion'], '</td>
			</tr>
			<tr>
				<td class="windowbg" colspan="2">
					', $context['message']['body'], '
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="center" style="padding: 1em 2em 1em 2em;">
					<input type="radio" name="type" value="agree"', !$context['can_pos_rep'] ? ' disabled="disabled"' : ' checked="checked"', ' /> ', $txt['karma_agree'], '
					<input type="radio" name="type" value="disagree"', !$context['can_neg_rep'] ? ' disabled="disabled"' : !$context['can_pos_rep'] ? ' checked="checked"' : '', ' /> ', $txt['karma_disagree'], '
				</td>
				<td class="windowbg" align="center" style="padding: 1em 2em 1em 2em;">
					', $txt['comment'], ': <input type="text" size="50" name="reputation_comment" />
					<input type="submit" value="', $txt['submit'], '" />
					<input type="hidden" name="topic" value="', $context['topic'], '" />
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
					<input type="hidden" name="uid" value="', $context['uid'], '" />
					<input type="hidden" name="m" value="', $context['m'], '" />
				</td>
			</tr>
		</table>
	</form>';
}

// License and registration, please. No? Okay, just your reputation log.
function template_log()
{
	global $txt, $context, $user_info, $scripturl, $settings;

	echo '
	<table width="90%" border="0" cellpadding="4" cellspacing="1" align="center" class="bordercolor">
		<tr class="titlebg">
			<td colspan="6">', !empty($settings['use_buttons']) ? '<img src="' . $settings['images_url'] . '/karma.gif" align="right" style="margin-right: 4px;" alt="" />' : '', $txt['reputation_log'], '</td>
		</tr>';

	if(empty($context['rep_sent']))
				echo '
	<tr class="windowbg">
		<td colspan="6">
			', $txt['no_reputation_log'], '
		</td>
	</tr>';
	else {
		echo '
	<tr class="catbg2">
		<td width="1%">
			&nbsp;
		</td>
		<td width="15%">
			', $txt[318], '
		</td>
		<td width="15%">
			', $txt[324], '
		</td>
		<td width="25%">
			', $txt[118], '
		</td>
		<td width="14%">
			', $txt[317], '
		</td>
		<td width="30%">
			', $txt['comment'], '
		</td>
	</tr>';

		$which = false;

		foreach($context['rep_sent'] as $rep_sent){
			$which = !$which;

			echo '
	<tr class="windowbg', $which ? '2' : '', '">
		<td align="center">
			<img src="', $settings['images_url'], '/', $rep_sent['action_type'], '_basic.gif" />
		</td>
		<td>
			<a href="', $scripturl, '?action=profile;u=', $rep_sent['executor']['id'], '">', $rep_sent['executor']['name'], '</a>
		</td>
		<td>
			<a href="', $scripturl, '?action=profile;u=', $rep_sent['target']['id'], '">', $rep_sent['target']['name'], '</a>
		</td>
		<td>
			<a href="', $scripturl, '?topic=', $rep_sent['topic_href'], '">', $rep_sent['topic_title'], '</a>
		</td>
		<td>
			', $rep_sent['time'], '
		</td>
		<td>
			', $rep_sent['comment'], '
		</td>
	</tr>';
		}

		echo '
	<tr class="catbg2">
		<td colspan="6">', $txt[139], ': ', $context['page_index'], '</td>
	</tr>';
	}

	echo '
</table>';
}
?>