<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
else if(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php and SSI.php files.');

if ((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

$result = db_query("
	SHOW FIELDS
	FROM {$db_prefix}members", __FILE__, __LINE__);

while ($row = mysql_fetch_assoc($result))
	$members[] = $row['Field'];

mysql_free_result($result);

$result = db_query("
	SHOW FIELDS
	FROM {$db_prefix}log_karma", __FILE__, __LINE__);

while ($row = mysql_fetch_assoc($result))
	$log_karma[] = $row['Field'];

mysql_free_result($result);

//
// Empty out the karma log if this is your first time installing this mod
//

if (!in_array('karma_disabled', $members))
	db_query("
		DELETE FROM {$db_prefix}log_karma", __FILE__, __LINE__);

//
// Settings table
//

db_query("
	INSERT IGNORE INTO {$db_prefix}settings
	(`variable`, `value`)
	VALUES
	('karmaBarPower', '100'),
	('karmaBarPoints', '1000'),
	('karmaMaxBars', '12'),
	('karmaSuperBar', '7'),
	('karmaSpreadAround', '3'),
	('karmaValuePost', '1'),
	('karmaValueThread', '3'),
	('karmaMaxPerDay', '10'),
	('karmaRegistration', '100'),
	('karmaNegativeDescription', 'is looked down upon.'),
	('karmaDisabledDescription', 'hides in shadows.'),
	('karmaDescriptions', 'has no influence.
barely matters.
is working their way up.
might someday be someone...
is on the verge of being accepted.
is a rising star!
has a powerful will.
is a force to reckon with.
has great potential!
has an aura about them.
is leading the good life!
is awe-inspiring!')", __FILE__, __LINE__);

db_query("
	REPLACE INTO {$db_prefix}settings
	(`variable`, `value`)
	VALUES
	('karmaLabel', 'Reputation:')", __FILE__, __LINE__);

//
// Members table
//

if (!in_array('karma_disabled', $members))
	db_query("
		ALTER TABLE {$db_prefix}members
		ADD karma_disabled TINYINT(3) NOT NULL default '0'", __FILE__, __LINE__);

db_query("
	ALTER TABLE {$db_prefix}members
	CHANGE COLUMN karmaGood karmaGood INT(8) NOT NULL", __FILE__, __LINE__);

db_query("
	ALTER TABLE {$db_prefix}members
	CHANGE COLUMN karmaBad karmaBad INT(8) NOT NULL", __FILE__, __LINE__);

//
// Karma Log columns
//

if (!in_array('comment', $log_karma))
	db_query("
		ALTER TABLE {$db_prefix}log_karma
		ADD comment TINYTEXT NOT NULL", __FILE__, __LINE__);

if (!in_array('action_type', $log_karma))
	db_query("
		ALTER TABLE {$db_prefix}log_karma
		ADD action_type VARCHAR(15) NOT NULL", __FILE__, __LINE__);

if (!in_array('topic', $log_karma))
	db_query("
		ALTER TABLE {$db_prefix}log_karma
		ADD topic INT(12) NOT NULL", __FILE__, __LINE__);

if (!in_array('title', $log_karma))
	db_query("
		ALTER TABLE {$db_prefix}log_karma
		ADD title TINYTEXT NOT NULL", __FILE__, __LINE__);

if (!in_array('message', $log_karma))
	db_query("
		ALTER TABLE {$db_prefix}log_karma
		ADD message INT(12) NOT NULL", __FILE__, __LINE__);

db_query("
	ALTER TABLE {$db_prefix}log_karma
	CHANGE COLUMN action action INT(8) NOT NULL", __FILE__, __LINE__);

db_query("
	ALTER TABLE {$db_prefix}log_karma
	DROP PRIMARY KEY", __FILE__, __LINE__);

db_query("
	ALTER TABLE {$db_prefix}log_karma
	ADD PRIMARY KEY (`id_executor`, `topic`, `message`)", __FILE__, __LINE__);

if (SMF == 'SSI')
	echo 'Database changes are complete!';
?>